#include <iostream>

using namespace std;

int main()
{
    int n,k,p;
    cin>> n>>k;
    int s[2*n]={0};
    for(int i=0;i<n;i++)
        {
            cin>>p;
            s[p+n]++;
        }

    for(int i=0;i<=n*2;i++)
        if(s[i]>=k)cout<<i-n<<" ";
    return 0;
}